<?php

namespace cn\com\maiyoule\mqttclient\biz;

use cn\com\maiyoule\mqttclient\IRequest;

/**
 * 删除用户请求
 */
class AppUserDeleteRequest extends IRequest
{

    public function path(): string
    {
        return 'mqtt/user/delete';
    }

    public function body(): array
    {
        return [
            'username' => $this->getUsername()
        ];
    }


    private string $username;

    public function getUsername(): string
    {
        return $this->username;
    }

    public function setUsername(string $username): void
    {
        $this->username = $username;
    }


}