### 安装
```shell
composer require maiyoule/mqttclient_author
```

### 配置
```php
$manager = new MQTTManager();
//设置APPID
$manager->setAppId('');
//设置私钥
$manager->setPrivateKey('');
```

### 使用

```php
//创建MQTT用户
$request = new AppUserCreateRequest();
$request->setPassword('');
//备注信息
$request->setFettle('');
//角色 user or admin
$request->setRole('user');
//业务列表
$request->setBiz(['ch','ws']);

$biz = $manager->exec($request);
if (!$biz->isSuccess()) {
    fail($biz->getMessage());
}
$data = $biz->getData();
//....
print_r($data);
```